<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F8F8F8"
    android:orientation="vertical">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/img_vip_top_bg" />

    <View
        android:id="@+id/id_vip_order_detail_title_sys_bar_view"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginBottom="15dp" />

    <ImageView
        android:id="@+id/id_img_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/id_vip_order_detail_title_sys_bar_view"
        android:layout_marginLeft="16dp"
        android:src="@drawable/img_vip_fanhui_icon" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/id_vip_order_detail_title_sys_bar_view"
        android:layout_centerHorizontal="true"
        android:text="确认订单"
        android:textColor="@color/white"
        android:textSize="16sp"
        android:textStyle="bold" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/id_img_back"
        android:layout_marginTop="24dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginRight="16dp"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="180dp"
                android:background="@drawable/img_vip_top_order_bg">

                <ImageView
                    android:id="@+id/id_img_check_vip"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="26dp"
                    android:layout_marginEnd="16dp"
                    android:src="@drawable/img_vip_check_icon" />

                <TextView
                    android:id="@+id/id_tv_vip_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignTop="@id/id_img_check_vip"
                    android:layout_toRightOf="@id/id_img_check_vip"
                    android:text="恭喜您！会员资格已锁定"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/id_tv_vip_desc"
                    android:layout_toEndOf="@id/id_img_check_vip"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/id_tv_vip_lock_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="12dp"
                        android:text="15:00"
                        android:textColor="@color/color_333333"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="后失效"
                        android:textColor="@color/color_333333"
                        android:textSize="12sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="51dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="会员费："
                        android:textColor="@color/color_333333"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/id_tv_vip_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text=""
                        android:textColor="@color/color_333333"
                        android:textSize="16sp" />

                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="20dp"
                    android:text="会员费仅支付1次，终身免年费"
                    android:textColor="@color/color_333333"
                    android:textSize="12sp" />

            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/shape_white_r10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="12dp"
                android:paddingRight="18dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="8dp"
                    android:src="@drawable/img_vip_phone_icon" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="会员手机号"
                    android:textColor="@color/color_333333"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/id_tv_user_vip_phone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=""
                    android:textColor="@color/color_333333"
                    android:textSize="14sp"
                    android:textStyle="bold" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:background="@drawable/shape_white_r10"
                android:orientation="vertical"
                android:paddingLeft="12dp"
                android:paddingTop="20dp"
                android:paddingRight="12dp"
                android:paddingBottom="8dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="3dp"
                        android:layout_height="16dp"
                        android:background="@drawable/shape_edd49d_r2" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6dp"
                        android:text="限时秒杀"
                        android:textColor="@color/color_333333"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:adjustViewBounds="true"
                    android:scaleType="fitXY"
                    android:src="@drawable/img_vip_rights_banner" />

            </LinearLayout>

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:adjustViewBounds="true"
                android:scaleType="fitXY"
                android:src="@drawable/img_vip_rights_pay_bg" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="95dp"
                android:background="@drawable/shape_white_r10"
                android:orientation="vertical"
                android:paddingLeft="12dp"
                android:paddingTop="20dp"
                android:paddingRight="12dp"
                android:paddingBottom="8dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="3dp"
                        android:layout_height="16dp"
                        android:background="@drawable/shape_edd49d_r2" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6dp"
                        android:text="支付方式"
                        android:textColor="@color/color_333333"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/id_rcl_vip_payment_list"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@drawable/img_vip_bottom_pay_btn_bg"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="限时¥ "
                android:textColor="#FDDFA5"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/id_tv_vip_price2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="13dp"
                android:text=""
                android:textColor="#FDDFA5"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/id_tv_vip_price3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="原价¥"
                android:textColor="#FDDFA5"
                android:textSize="10sp" />


        </LinearLayout>

        <TextView
            android:id="@+id/id_tv_open_vip_btn_pay"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="确认支付"
            android:textColor="@color/color_333333"
            android:textSize="14sp"
            android:textStyle="bold" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/id_rl_h5_pay_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/id_img_back"
        android:layout_marginTop="20dp"
        android:visibility="gone">

        <WebView
            android:id="@+id/id_member_pay_web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/id_img_close_pay_web"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignRight="@id/id_member_pay_web_view"
            android:padding="10dp"
            android:src="@drawable/icon_guanbi" />

    </RelativeLayout>

</RelativeLayout>
